Package org.stianloader.micromixin.transform.internal.util.smap

## Class FileSection.FileSectionEntry

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.FileSection.FileSectionEntry

Enclosing class:
  FileSection

    public static class FileSection.FileSectionEntry
    extends java.lang.Object

### Constructor Summary

Constructors
`FileSectionEntry​(int sourceId, java.lang.String sourceName, java.lang.String sourcePath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSectionEntry

    public FileSectionEntry​(int sourceId,
                            @NotNull
                            java.lang.String sourceName,
                            @Nullable
                            java.lang.String sourcePath)

### Method Detail

#### pushContents

    @NotNull
    @Contract(mutates="param1",
              pure=false,
              value="!null -> param1; null -> fail")
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)